Google Web Toolkit (Beta)
Search this site:

# Interface SourcesTableEvents

public interface SourcesTableEvents
// Implemented by `HTMLTable`
A widget that implements this interface sources the events defined by the TableListener interface.

## Methods

addTableListener(TableListener) | Adds a listener interface to receive click events.
removeTableListener(TableListener) | Removes a previously added listener interface.

## Method Detail

### addTableListener

public void addTableListener(TableListener listener)
Adds a listener interface to receive click events.

#### Parameters

listener
  the listener interface to add

### removeTableListener

public void removeTableListener(TableListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove